Subject: [CDNi] Notes from June 28 Extended Design Team Meeting on "Adaptive Streaming"

From: "Francois Le Faucheur (flefauch)" <[email-masked]>
Date: Fri, 29 Jun 2012 11:55:26 +0000

Folks,

Here are notes from the June 28 extended design team meeting. Let us know if you have comments.
The outcomes of this meeting will be reflected in the next rev of draft-brandenburg-cdni-has that will be posted for Vancouver.
We do not plan to run another design team meeting before Vancouver.

Francois 

=========================================================================

Extended Design Team Meeting of CDNI on "Adaptive Streaming"
Date: Thursday, June 28, 2012
Start Time: 07:00 PDT (e.g San Francisco, USA) = 10:00 EDT (e.g Boston, USA) = 16:00 CET (e.g Paris, France) = 22:00 CST (e.g. Beijing, China)
Finish Time: 10:30 PDT (e.g San Francisco, USA) = 13:30 EDT (e.g Boston, USA) = 19:30 CET (e.g Paris, France) = 01:30 CST (e.g. Beijing, China)

Agenda and slides accessible at:
http://www.ietf.org/proceedings/interim/2012/06/28/cdni/agenda/agenda-interim-2012-cdni-3

Attendees:
Bhumip Khasnabish, Jan Seedorf, Kent Leung, Kevin Ma, Kevin Johns, Matt Caulfield, Oskar van Deventer, Ray van Brandenburg, Scott Wainner, Alex Giladi, Stef  van der Ziel, Roy Peterkofsky, Bill Creighton, Larry Peterson, Richard Woundy, Francois Le Faucher

The webex recording for the meeting is available at:
https://cisco.webex.com/ciscosales/lsr.php?AT=pb&SP=MC&rID=61807497&rKey=a3e37f3635dbe0fa 

SInce the full details of the discussion is accessible through the webex recording, the notes below focus on the Action Items and conclusions of the discussions. The Notes were taken by Scott Wainner (Thanks Scott!):

File Management
-----------------------

Stef	- Doesn't agree with the recommendation to make CDN-I have no HAS awareness
	- Recommends CDN-I have the ability know a dCDN is HAS aware
	- Wants a Capability Exchange for HAS awareness
	- ACTION: Stef to provide input to Ray on proposed capability exchange

Content Acquisition and Content Collections
--------------------------------------------------------------

Kevin	- Challenged the position that CDN-I Metadata couldn't provide HAS information
Stef	- Capability required to determine if dCDN supports byte-range requests
	- ACTION: Stef to provide Ray and team with requirement for dCDN byte-range request support
	- CONFIRMED: Incuded a method for pre-positioning of content to dCDN
	- ACTION: Consider a method to optimize pre-positioning all chunks of an asset
	- ACTION: Consider if Option 2.1 is compatible with HAS methods

Request Routing and Manifest Files
--------------------------------------------------------------

Ray	- ACTION: Need to define conditions for  'brittle' case defined in 3.3.2.1
	- ACTION: Option 3.2 includes case where manifest is re-written or created by uCDN
	- ACTION: Option 3.3 includes case where the manifest is re-written or created
Stef	- Case where uCDN creates manifest
	- Requirement to incorporate session control (either in client or CDN-I)

HAS Logging
--------------------------------------------------------------

Scott	- Requirement for incorporating Session-based logging; CCID only identifies content
Stef	- CCID is a mandatory requirement, but needs session-based logging too
	- Option A: Client-side
	- Option B: Manifest modification
	- Option C: Cache-centric

Francois
	ACTION: Need corresponding capability advertisement from the dCDN of CCID support? consider adding Session-ID.

URL Signing
--------------------------------------------------------------

Kent	- ACTION: CDN-I Metadata required for URL-Signing
Kevin	- ACTION: CDN-I Metadata requirement for dCDN to obtain the key
Ray	- NOTE: Use of COOKIE requires legal permission from User via App
	- NOTE: Emphasize legal implications of use of COOKIE
Kevin	- ACTION: Need formalized COOKIE validation method for Option #3
Oscar	- Option #3 requires manifest file to be delivered by dCDN
	- Recommendation to kill option #3 due to non-browser support
Oscar	- Option #2 requires uCDN to be HAS aware.
	- ACTION: Include option for CSP or uCDN to serve the signed manifest URL
Ray	- ACTION: Option 4# needs to be more clearly differentiated from Option #2